<?php 
include '_dirinfo.php';
require_once (PATH_TO_ROOT.'_class/createQuestion/Question.php');

	class Instruction extends Question 
	{
		public function __construct(db $db=null,$data=null)
		{
			parent::__construct($db,$data);
			$this->template_file = "SRtemplate.xml";
		}
		public function addQuestion(array $data)
		{
			
			parent::addQuestion($data);
			
		}
        
		public function getQType()
		{
			return "Instruction";
		}
		public function createAnswerGrid()
		{
		 echo	"alert('Info questions can\'t have answers!');";
		}
	public function getIconCls()
	{
		return 'icon-question_in';
	}
	}

?>